unit fmMain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Aurelius.Drivers.SQLite, Data.DB, Aurelius.Comp.Connection,
  Aurelius.Bind.BaseDataset, Aurelius.Bind.Dataset, Aurelius.Engine.DatabaseManager, Aurelius.Comp.DBSchema,
  Aurelius.Engine.ObjectManager, Aurelius.Linq, Aurelius.Comp.Manager, Vcl.Grids, Vcl.DBGrids, Vcl.ExtCtrls,
  Vcl.DBCtrls, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    adsTest: TAureliusDataset;
    acTest: TAureliusConnection;
    dsTest: TDataSource;
    dbsTest: TAureliusDBSchema;
    mgrTest: TAureliusManager;
    gridTest: TDBGrid;
    DBNavigator1: TDBNavigator;
    adsTestID: TIntegerField;
    adsTestYear: TIntegerField;
    adsTestDescription: TStringField;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses uEntities;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  acTest.Params.Values['Database'] := ChangeFileExt(ParamStr(0), '.db');

  dbsTest.UpdateDatabase;

  adsTest.Manager := mgrTest.ObjManager;
  adsTestID.Required := false;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  adsTest.SetSourceList(mgrTest.ObjManager.Find<TTest>.List);
  adsTest.Open;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  LTest: TTest;
begin
  LTest := adsTest.Current<TTest>;
  mgrTest.ObjManager.Refresh(LTest);
  adsTest.RefreshRecord;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  adsTest.Close;
end;

end.
